Bug 726048 - Change DB & BE from decimal to float or int
Change DB & BE from decimal to float or int
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: lpeer
infra
: CodeChange, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-27 08:20 EDT by Eli Mesika
Modified: 2012-12-11 01:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 01:41:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eli Mesika 2011-07-27 08:20:37 EDT
Description of problem:
The following DB entities have wrong type:

vds_dynamic:
  cpu_speed_mh : decimal(18,0) => change to int
vds_statistics:
  cpu_idle, cpu_load, cpu_sys, cpu_user decimal(18,0) => change to float
vm_statistics :
  cpu_sys, cpu_user, decimal(18,0) => change to float
  elapsed_time  decimal(18,0) => change to int
vm_interface_statistics :
  rx_rate, tx_rate, rx_drop_ tx_drop decimal(18,0) => change to int
vds_interface_statistics :
  rx_rate, tx_rate, rx_drop_ tx_drop decimal(18,0) => change to int

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:
Change type in DB & BE as described above

Additional info:
Should be targeted for 3.1
Comment 1 Laszlo Hornyak 2011-09-01 10:38:17 EDT
This reduces some IO and could be a nice performance gain on the insert performance, especially on the tables with multiple decimal fields. Decimal(18) takes more space than int 4, but of course its precision is bigger as well.

For read performance: no, or minor performance gains.
Comment 2 Itamar Heim 2012-12-11 01:41:26 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.